Package org.json.simple.parser

# Class Yytoken

java.lang.Object
org.json.simple.parser.Yytoken

@Deprecated public class Yytoken extends Object
Deprecated.
since 2.0.0, copied to a new package.

Author:
  FangYidong<fangyidong@yahoo.com.cn>

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`type`
Deprecated.
description omitted.
`static final int`
`TYPE_COLON`
Deprecated.
description omitted.
`static final int`
`TYPE_COMMA`
Deprecated.
description omitted.
`static final int`
`TYPE_EOF`
Deprecated.
description omitted.
`static final int`
`TYPE_LEFT_BRACE`
Deprecated.
description omitted.
`static final int`
`TYPE_LEFT_SQUARE`
Deprecated.
description omitted.
`static final int`
`TYPE_RIGHT_BRACE`
Deprecated.
description omitted.
`static final int`
`TYPE_RIGHT_SQUARE`
Deprecated.
description omitted.
`static final int`
`TYPE_VALUE`
Deprecated.
description omitted.
`Object`
`value`
Deprecated.
description omitted.

## Constructor Summary

Constructors
Constructor
Description
`Yytoken(int type, Object value)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### TYPE_VALUE

public static final int TYPE_VALUE
Deprecated.
description omitted.

See Also:
  - Constant Field Values

### TYPE_LEFT_BRACE

public static final int TYPE_LEFT_BRACE
Deprecated.
description omitted.

See Also:
  - Constant Field Values

### TYPE_RIGHT_BRACE

public static final int TYPE_RIGHT_BRACE
Deprecated.
description omitted.

See Also:
  - Constant Field Values

### TYPE_LEFT_SQUARE

public static final int TYPE_LEFT_SQUARE
Deprecated.
description omitted.

See Also:
  - Constant Field Values

### TYPE_RIGHT_SQUARE

public static final int TYPE_RIGHT_SQUARE
Deprecated.
description omitted.

See Also:
  - Constant Field Values

### TYPE_COMMA

public static final int TYPE_COMMA
Deprecated.
description omitted.

See Also:
  - Constant Field Values

### TYPE_COLON

public static final int TYPE_COLON
Deprecated.
description omitted.

See Also:
  - Constant Field Values

### TYPE_EOF

public static final int TYPE_EOF
Deprecated.
description omitted.

See Also:
  - Constant Field Values

### type

public int type
Deprecated.
description omitted.

### value

public Object value
Deprecated.
description omitted.

## Constructor Details

### Yytoken

public Yytoken(int type, Object value)
Deprecated.

Parameters:
  `type` - description omitted.
  `value` - description omitted.

## Method Details

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`